<section xmlns:th="http://www.thymeleaf.org"
         xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

    <script th:src="@{http://ajax.aspnetcdn.com/ajax/jquery/jquery-1.6.1.js}" type="text/javascript"></script>
    <script th:src="@{http://ajax.aspnetcdn.com/ajax/jquery.ui/1.8.10/jquery-ui.js}" type="text/javascript"></script>
    <link th:href="@{http://ajax.aspnetcdn.com/ajax/jquery.ui/1.8.10/themes/redmond/jquery-ui.css}" rel="stylesheet"
          type="text/css"/>
    <link th:href="@{/css/style.css}" href="../static/css/style.css" rel="stylesheet">

    <!--    <script src="http://code.jquery.com/jquery.min.js"></script>-->
    <!--    <script src="http://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.3/jquery.easing.min.js"></script>-->

    <div class="d-flex flex-row" >
        <h2 class="h3-md">Generate new playlist</h2>
    </div>
    <br>

    <div class="adonis-carousel" data-auto-width="yes" data-dots="yes"
         data-responsive-width="0:100%|500:50%|750:33.33%|1000:25%">

        <form th:action="@{/generate-playlist}" th:object="${playlistDto}" method="post" id="generatePlaylistForm">
            <div class="container">
                <div class="row">
                    <div class="col">
                        <label class="labels">
                            Your start location:
                        </label>
                        <input type="text" class="searchBox" id="start-position" th:field="*{start}" required/>
                        <br><br>
                        <label class="labels">
                            Your final location:
                        </label>
                        <input type="text" class="searchBox" id="final-position" th:field="*{finish}" required/>
                        <br>
                        <span class="duration-error">Duration can not be less than 10 minutes </span>
                        <br>
                        <span class="not-valid-destination">There is no coverage at the requested locations. </span>
                        <br><br><br>
                        <button type="submit" class="btn btn-light" id="btn" th:data-userID="${loggedUser.getId()}" sec:authorize="isAuthenticated()">Generate
                            playlist
                        </button>
                    </div>
                    <div class="col">
                        <div class="image-map">

                        </div>
                    </div>
                    <div class="col">
                        <label class="labels">Title of the playlist: </label>
                        <input th:field="*{title}" th:id="title" required type="text" min="3" max="30"/> <br> <br>
                        <label class="labels">Choose your favourite genres:</label>
                        <ul>
                            <div class="custom-control custom-checkbox" th:each="genre,itemStat : ${genres}">
                                <input th:field="*{genreList[__${itemStat.index}__].name}"
                                       th:value="${genre.name}"
                                       type="checkbox"
                                       th:id="'genres-box' + ${itemStat.index}"
                                       class="custom-control-input"/>
                                <label class="custom-control-label" th:for="'genres-box' + ${itemStat.index}"
                                       th:text="${genre.name}"> </label>
                                <div class="reveal-if-active">
                                    <input class="genreBox" th:id="'genres-percent' + ${itemStat.index}"
                                           type="number" th:field="*{genreList[__${itemStat.index}__].percent}"
                                           placeholder="% of this genre">
                                </div>
                            </div>
                        </ul>
                        <span class="genre-error">The sum of percents should be exact 100%</span>
                        <br>
                        <div>
                            <input  th:id="sameArtist" th:field="*{artistRepeated}"
                                   type="checkbox"/>
                            <label > Allow tracks from the same
                                artist </label>
                        </div>
                        <div >
                            <input th:id="topTracks" type="checkbox"
                                   th:field="*{topTracksEnabled}"/>
                            <label th:for="topTracks">Top tracks </label>
                        </div>
                    </div>


                </div>
            </div>

        </form>
    </div>
    <!--    route.js import was here-->
    <script src="../static/js/route.js" th:src="@{/js/route.js}"></script>
</section>
